%% CHEBFUN GUIDE: INDEX

%%
% Chebfun commands and computer programs are given in capital
% letters.  Entries are listed by section number.

%% A
%  ABS, 1.4, 2.1, 3.2, 9.2
%  accuracy, 1.1, 1.2, 1.5, 2.4, 4.2, 5.4, 7.7, 8.8
%  Airy functions, 3.1, 3.3
%  analytic functions, 2.2, 4.5, 5.2
%  ANGLE, 5.4
%  anonymous functions, 1.2, 7.3, 9.1, 10.4
%  approximation theory, chap. 4
%  Assheton, Phil, 1.1, 2.1
%  Automatic Differentiation, 2.4, 7.1, 7.8, 10.1, 10.3, 10.4
%% B
%  backslash, 6.2, chap. 7, 9.1, 10.4; see also nonlinear backslash
%  backward error analysis, 1.1, 2.4
%  barycentric interpolation, 1.2, 4.1, 4.5
%  Battles, Zachary, 1.1, 1.4, 3.1, 3.6, 4.5
%  Bernstein ellipse, 4.5
%  Bernstein, Sergey, 1.1, 4.1
%  Bessel functions, 1.2, 2.4
%  best or minimax approximation, 4.1, 4.6
%  Birkisson, Asgeir, 1.1, 7.1, 10.3
%  blowup, see infinite function values
%  'blowup', 1.5, 8.1, 8.9, 9.2, 9.3
%  Bornemann, Folkmar, 1.1, 7.2
%  boundary conditions, 7.4, 10.4
%  Boyd, John, 3.1, 3.6
%  breakpoints, 1.4, 3.2, 8.2
%  BVP4C/BVP/5C, 7.1, 7.8, chap. 10
%  BVPINIT, 10.2
%% C
%  Caratheodory-Fejer approximation, see CF
%  Carrier equation, 10.4
%  Cauchy integral, see contour integral
%  CEIL, 3.2
%  CF, 4.6, 4.8
%  changes of variables, see mappings
%  CHEBFUN, 1.2
%  CHEBFUNPREF, 2.5, chap. 8
%  'chebkind', 8.1
%  CHEBOPPREF, 8.1, 10.4
%  chebops, chap. 7, 8.7, chap. 10
%  CHEBPADE, 4.8
%  CHEBPOLY, 1.3, 2.6, 4.2, 6.4
%  CHEBPTS, 2.6
%  Chebyshev approximation, see best or minimax approximation
%  Chebyshev coefficients, 4.1, 4.2, 7.7, 8.6, 9.3
%  Chebyshev interpolant, 4.1, 4.2
%  Chebyshev-Pade approximation, 4.8
%  Chebyshev, Pafnuty Lvovich, 4.1, 5.5
%  Chebyshev points, 1.1, 1.2, 4.2, 4.7
%  Chebyshev polynomials, 1.1, 4.1, 6.4, 9.3
%  Chebyshev series, 4.1, 4.2, 4.8
%  Clenshaw-Curtis quadrature, 1.2, 2.1, 2.6
%  colleague matrix, 3.1
%  complex roots, 3.6, 5.4
%  complex variables, chap. 5
%  COND, 6.4
%  conformal map, 5.2
%  contour integral, 5.3, 5.4
%  COTEDA, 2.1
%  CUMSUM, 2.3, 2.4, 7.3, 9.1
%% D
%  DBLQUAD, 2.5
%  DEFINE, 1.3
%  delta functions, 2.4
%  DIAG, 7.3
%  DIFF, 2.4, 3.3, 7.3, 10.3
%  differential equations, see ODEs and PDEs
%  diffusion, 7.6
%  diverging functions, 1.5
%  DIFF, 2.4, 3.3, 7.3
%  'dirichlet', 7.4
%  discontinuities, 3.2
%  'domain', 8.1, 8.2
%  DOMAIN, 1.3, 7.4
%  Driscoll, Toby, 1.1, chap. 7, 10.2, 10.3
%% E
%  edge detection, 1.4, 8.3
%  eigenvalues problems, 7.5
%  EIGS, 7.5
%  .ends, 9.1
%  'eps', 2.5, 8.1, 8.1, 8.8
%  equispaced points, 4.7
%  error function, 2.1, 2.3, 9.1
%  EXPM, 7.6
%  'exps', 9.2
%  exponential of an operator, 7.6
%  'extrapolate', 8.1
%  extrema, 3.3, 3.4
%  EYE, 7.3
%% F
%  'factory', 1.4, 8.1
%  factory values, see 'factory'
%  FFT, 1.1, 2.1, 4.1
%  File Exchange, 1.1
%  FILL, 5.2
%  FLOOR, 3.2
%  fourfun, 5.3
%  Frechet derivative, see Jacobian
%  Frobenius norm, 6.4
%  .funs, 1.4, 9.1
%  funs, 1.4, 2.1
%% G
%  gamma function, 9.1
%  Gauss quadrature, 2.6
%  Gauss-Jacobi quadrature, 2.6, 9.2
%  Gibbs phenomenon, 4.3
%  Glaser-Liu-Rokhlin algorithm, 2.6
%  Golub-Welsch algorithm, 2.6
%  Gonnet, Pedro, 1.1, 2.1, 4.8
%  GREETINGCARD, 5.5
%  GUIDEDEFAULTS, 1.7
%% H
%  Hale, Nick, 1.1, 1.5, 2.6, 9.2
%  Higham, Nick, 1.2, 4.5
%  Hilbert-Schmidt norm, see Frobenius norm
%% I
%  .imps, 1.4
%  infinite function values, 1.5, 2.1, 9.2
%  infinite intervals, 1.5, 2.1, 9.1
%  inner product, 1.6, 6.1
%  integral equations, 7.4
%  integrals, 1.2, 1.5, chap. 2, 9.1
%  integrals in 2D, 2.5
%  interpolation, 1.2
%  INTERP1, 4.7, 4.8
%  'interval', 4.3, 9.1
%% J
%  JACPOLY, 2.6
%  JACPTS, 2.6, 9.2, 9.3
%  .jacobian, 1.4, 9.1
%  Jacobian, 7.8, 10.3, 10.4
%% K
%% L
%  least-squares, 6.2
%  Lebesgue function, see LEBESGUE
%  LEBESGUE, 4.7 
%  Legendre polynomials, see LEGPOLY
%  LEGPOLY, 2.6, 6.3, 6.4
%  LEGPTS, 2.6
%  LENGTH, 1.2, 1.4
%  LINSOLVE, 10.4
%  Lorenz equations, 10.1
%% M
%  MAP, 9.3
%  mappings, 9.1, 9.3
%  Mathematica, 2.1
%  Mathieu equation, 7.5
%  Maxwell's equations, 7.9
%  MEAN, 2.2
%  meromorphic function, 5.2
%  METHODS, 1.3
%  MAX, 3.2, 3.4
%  'maxdegree', 8.1, 8.5
%  MIN, 3.2, 3.4
%  MINANDMAX, 3.4, 10.1
%  'minsamples', 8.1, 8.6
%  MLDIVIDE, 6.2, 10.3
%  Moebius transformation, 5.2
%  monomial basis, 4.2
%% N
%  NaN, 9.2
%  'neumann', 7.4
%  Newton iteration, 2.4, 7.1, 7.8, 9.4, chap. 10
%  .nfuns, 1.4, 9.1
%  nonlinear backslash, 7.1, 7.8, 10.1, 10.4
%  nonlinera chebops, chap. 10
%  NORM, 2.2, 3.5, 6.4, 6.5
%  NULL, 6.6
%% O
%  ODE45/ODE15S/ODE113, 10.1, 10.2
%  ODEs, chap. 7, chap. 10
%  ODESET, 10.1
%  Olver, Sheehan, 1.1
%  Orr-Sommerfeld equation, 7.5
%  ORTH, 6.6
%  orthogonal polynomials, 6.3, 9.3
%  overloading, 1.1, 1.3
%% P
%  Pachon, Ricardo, 1.1, 1.4, 4.6, 4.8
%  Pade approximation, 4.8
%  path, 1.7
%  PDE15S, 7.1, 10.1
%  PDEs, 7.1, 7.6
%  periodic functions, 5.3, 7.4, 7.5
%  piecewise smooth chebfuns, 1.4, 2.1, 5.1
%  PINV, 6.6
%  Platte, Rodrigo, 1.1, 1.4, 1.5, 9.1, 9.2, 10.2
%  PLOT, 1.2, 9.1
%  'plotting', 10.4
%  PLUS, 1.3
%  poles, 4.8, 5.4, 9.2
%  POLY, 4.2
%  POLYFIT, 4.8
%  polynomial interpolation, 1.1, 1.2
%  POWER, 1.3
%  PUBLISH, 1.7
%% Q
%  QR, 6.3
%  QR factorization, 6.3
%  QUAD, QUADL, QUADGK, 2.1
%  QUADPACK, 2.1
%  quadrature, see integration
%  quasimatrices, 1.6, 5.1, chap. 6
%% R
%  RATINTERP, 4.8
%  RDIVIDE, 1.3
%  REMEZ, 1.3, 4.6, 4.8
%  Remez algorithm, 4.6
%  'resampling', 8.1, 8.7
%  residue, 5.3
%  Richardson, Mark, 1.1, 1.5, 9.2
%  ROOTS, 1.1, 1.2, 3.1, 9.1
%  ROUND, 3.2
%  rounding errors, 1.1, 4.5
%  row vs. column chebfuns, 1.6, 6.1
%  Runge function, 1.2, 4.4
%  Runge phenomenon, 4.4, 4.7
%% S
%  Salzer, Herbert, 1.2, 4.1
%  Scheuring, Simon, 1.1
%  .scl, 1.4, 9.1
%  SCRIBBLE, 5.5, 7.6
%  SIGN, 3.2, 4.3, 8.5
%  sinc function, 9.1
%  'singmap', 9.3
%  singularities, 2.6, 8.3, 8.5, 9.2, 9.3
%  SIZE, 6.1
%  smoothness, 4.1, 4.4
%  SOLVEBVP, 7.1, 7.8, 10.4
%  spectral accuracy, 4.4
%  spectral methods, 4.1, chap. 7, 8.7, chap. 10
%  spline, 6.2
%  'splitdegree', 8.1, 8.4
%  'splitting', 1.4, 4.1, 8.1, 8.3
%  SPY, 6.1, 6.3, 6.6
%  square root, 2.1, 8.3, 9.2
%  stability, 1.2
%  STD, 1.4, 2.2
%  stiffness, 10.1, 10.4
%  STRUCT, 1.4
%  SUBSREF, 1.3
%  SUM, 1.2, 2.1
%  SVD, 6.4
%  symbolic computing, 1.1
%  systems of equations, 7.9
%% T
%  Taylor coefficients, 4.2, 5.3, 5.4
%  .trans, 1.4, 9.1
%  transpose, 1.6
%% U
%  UNWRAP, 5.4
%% V
%  van der Pol equation, 10.1, 10.4
%  Van Deun, Joris, 1.1, 4.6, 4.8
%  VAR, 2.2
%  'vectorize', 2.5
%% Z
%  zeros, 5.4, also see ROOTS
